diff --git a/src/backend/executor/nodeHashjoin.c b/src/backend/executor/nodeHashjoin.c
index d3b14e5..c302c71 100644
--- a/src/backend/executor/nodeHashjoin.c
+++ b/src/backend/executor/nodeHashjoin.c
@@ -453,6 +453,7 @@ ExecInitHashJoin(HashJoin *node, EState *estate, int eflags)
 	hjstate->js.ps.plan = (Plan *) node;
 	hjstate->js.ps.state = estate;
 	hjstate->js.inner_unique = node->join.inner_unique;
+	elog(NOTICE, "Unique Inner: %s", node->join.inner_unique ? "Yes" : "No");
 
 	/*
 	 * Miscellaneous initialization
diff --git a/src/backend/executor/nodeMergejoin.c b/src/backend/executor/nodeMergejoin.c
index 3c21ffe..e1bb7e7 100644
--- a/src/backend/executor/nodeMergejoin.c
+++ b/src/backend/executor/nodeMergejoin.c
@@ -1489,6 +1489,7 @@ ExecInitMergeJoin(MergeJoin *node, EState *estate, int eflags)
 
 	mergestate->js.inner_unique = node->join.inner_unique;
 
+	elog(NOTICE, "Unique Inner: %s", node->join.inner_unique ? "Yes" : "No");
 	/*
 	 * Miscellaneous initialization
 	 *
diff --git a/src/backend/executor/nodeNestloop.c b/src/backend/executor/nodeNestloop.c
index 342c448..fcd1ef0 100644
--- a/src/backend/executor/nodeNestloop.c
+++ b/src/backend/executor/nodeNestloop.c
@@ -311,6 +311,7 @@ ExecInitNestLoop(NestLoop *node, EState *estate, int eflags)
 	nlstate->js.ps.state = estate;
 
 	nlstate->js.inner_unique = node->join.inner_unique;
+	elog(NOTICE, "Unique Inner: %s", node->join.inner_unique ? "Yes" : "No");
 
 	/*
 	 * Miscellaneous initialization
